Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xmltorng.i2s.impl
Class RepeatableNameImpl

    java.lang.Object
      xmltorng.i2s.impl.RepeatableNameImpl

All Implemented Interfaces:
  RepeatableName

    public final class RepeatableNameImpl

extends java.lang.Object
implements RepeatableName

Constructor Summary
`RepeatableNameImpl(java.lang.String nsUri, java.lang.String localName, boolean isRepeatable)`

Method Summary
`java.lang.String` | `getLocalName()`
`Name` | `getName()`
`java.lang.String` | `getNsURI()`
`boolean` | `isRepeatable()`
`void` | `setRepeatable(boolean isRepeatable)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepeatableNameImpl

    public RepeatableNameImpl(java.lang.String nsUri,
                              java.lang.String localName,
                              boolean isRepeatable)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getNsURI

    public java.lang.String getNsURI()

  Specified by:
    `getNsURI` in interface `RepeatableName`

### getLocalName

    public java.lang.String getLocalName()

  Specified by:
    `getLocalName` in interface `RepeatableName`

### getName

    public Name getName()

  Specified by:
    `getName` in interface `RepeatableName`

### isRepeatable

    public boolean isRepeatable()

  Specified by:
    `isRepeatable` in interface `RepeatableName`

### setRepeatable

    public void setRepeatable(boolean isRepeatable)

  Specified by:
    `setRepeatable` in interface `RepeatableName`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD